---
schema_version: "1"
id: 72f1e39ea2c3dac9ad22771ec117b34f500a3996c2b9638f18d5577b26798e57
title: Shop Content (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-shop-content.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-shop-content
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2769ca6728ab9289626c1885277916483771cefbe91d96488c130fb08247ba23
products:
  - B2C Commerce
  - Salesforce APIs
---
Shop Content (deprecated)

# Shop Content (deprecated)

The Shop API endpoints enable developers to build full shopper-experience applications such as storefronts. They are designed for high-scale usage, and include a number of areas such as Baskets & Orders, Customers, Products and Pricing. Shop API endpoints are typically read-only APIs, with the exception of baskets and orders.

**Version:** 25.6

## Servers

*   `https://{host}/s/{siteId}/dw/shop/v25_6`

Protocols: https.

## Security

*   `customers_auth` (basic) User authentication either for a registered or a guest customer (selectable in request body). Access via Base64 encoded customer:password string as 'Authorization: Basic' header.
*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get multiple content

`GET /content/({ids})`

Operation ID: `Get multiple content`. Tags: content. Security: client\_id; customers\_auth.

To access multiple content asset, you construct a URL using the template shown below. This template requires you to specify one or many content asset id. In response, the server returns a result set of corresponding content asset documents. Only content assets, which are marked as online are returned. An assignment to a folder is not necessary.

#### Parameters

*   `ids` (path, array of string, required) The ids of the requested content assets  
    Maximum length: 256.
*   `locale` (query, string) The locale context

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_result`.
    

### GET Get content

`GET /content/{id}`

Operation ID: `Get content`. Tags: content. Security: client\_id; customers\_auth.

To access a content asset, you construct a URL using the template shown below. This template requires you to specify a content asset id. In response, the server returns a corresponding content asset document. Only content assets, which are marked as online are returned. An assignment to a folder is not necessary.

#### Parameters

*   `id` (path, string, required) The id of the requested content asset.  
    Maximum length: 256.
*   `locale` (query, string) The locale context.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content`.
    

## Schemas

### content\_result

Result document containing an array of content assets.

*   `count` (_integer (int32)_) The number of returned documents.
*   `data` (_array of content_) The array of content assets.
*   `total` (_integer (int32)_) The total number of documents.

_Example_

```
{
  "count": 2,
  "data": [
    {
      "description": "It all started with a series of observations ...",
      "id": "about-us",
      "name": "About Us",
      "c_body": "&lt;h1&gt;About Us&lt;/h1&gt;&lt;h2&gt;It all started with a series of observations ...",
      "c_customCSSFile": "http://example.com/on/demandware.static/Sites-SiteGenesis-Site/Sites-SiteGenesis-Library/default/v1365077029384/css/aboutus.css"
    },
    {
      "description": "These terms of use set forth the basis on which you are permitted to access and use this website, example.com",
      "id": "terms",
      "name": "Terms & Conditions of Sale",
      "c_body": "&lt;h1&gt;Terms & Conditions of Sale&lt;/h1&gt;&lt;p&gt;ATTENTION: These terms of use set forth the basis on which you are permitted ..."
    }
  ],
  "total": 2
}
```

### content

Document representing a content asset.

*   `description` (_string_) The localized content asset description.
*   `id` (_string_, required) The id of the content asset.  
    Minimum length: 1. Maximum length: 256.
*   `name` (_string_) The localized content asset name.
*   `page_description` (_string_) The localized content asset page description.
*   `page_keywords` (_string_) The localized content asset page description.
*   `page_title` (_string_) The localized content asset page title.

_Example_

```
{
  "description": "It all started with a series of observations...",
  "id": "about-us",
  "name": "About Us",
  "c_body": "&lt;h1&gt;About Us&lt;/h1&gt;&lt;h2&gt;It all started with a series of observations ...",
  "c_customCSSFile": "http://example.com/on/demandware.static/Sites-SiteGenesis-Site/Sites-SiteGenesis-Library/default/v1365077029384/css/aboutus.css"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.